ConfigureSecurityGroupRules

1. API Description

This API (ConfigureSecurityGroupRules) is used to configure the rules of a security group.

circle-info

Note

  • Rules of the default security group cannot be modified.

  • Rules in the same direction cannot be duplicated.

  • A security group has a limited number of rules. If you need more, please contact us.

  • This API is used to configure full rules for the security group.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

securityGroupId

Yes

String

Security group ID.

ruleInfos

No

Security group rules.

Configured for full overwrite.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Configure rules for the security group.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

400

INVALID_PARAMETER_SECURITY_GROUP_CIDR_IP

Invalid source IP address range.

400

INVALID_PARAMETER_SECURITY_GROUP_DESC

The rule description contains invalid characters.

400

INVALID_PARAMETER_SECURITY_GROUP_DIRECTION

Inbound or outbound rules error.

400

INVALID_PARAMETER_SECURITY_GROUP_IP_PROTOCOL

Invalid IP protocol.

400

INVALID_PARAMETER_SECURITY_GROUP_PORT_RANGE

Invalid security group rule PortRange parameter.

400

INVALID_PARAMETER_SECURITY_GROUP_PRIORITY

Invalid security group rule Priority parameter.

404

INVALID_SECURITY_GROUP_NOT_FOUND

The specified security group does not exist.

400

OPERATION_DENIED_SECURITY_GROUP_RULE_EXCEED_LIMIT

Quantity of security group rules exceeds the limit.

Last updated